## krita 5.0.0+dfsg

=== debian/changelog ===
krita (1:5.0.0+dfsg-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Make recommended packages explicit dependencies.
  * Add extra desktop launcher so g'mic will work in XFCE.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 23 Dec 2021 11:15:02 -0800

krita (1:5.0.0+dfsg-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release.
  * Switch watch file back to the stable releases.
  * Explicitly add the libqt5sql5-sqlite dependency, needed to make the internal
    resources working.

 -- Pino Toscano <pino@debian.org>  Thu, 23 Dec 2021 15:07:24 +0100

krita (1:5.0.0~beta5+dfsg-1) experimental; urgency=medium

  * New upstream development release.

 -- Pino Toscano <pino@debian.org>  Fri, 03 Dec 2021 22:01:32 +0100

krita (1:5.0.0~beta3+dfsg-1) experimental; urgency=medium

  * New upstream development release.
  * Merge changes from 1:4.4.8+dfsg-1.
  * Update copyright.

 -- Pino Toscano <pino@debian.org>  Fri, 03 Dec 2021 07:57:36 +0100

krita (1:5.0.0~beta1+dfsg-1) experimental; urgency=medium

  * New upstream development release.
  * Switch watch file to the unstable releases, mangling -beta in the version.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.16.0
    - bump libheif-dev to 1.10.0
    - bump libopencolorio-dev to 1.1.1
    - add libmypaint-dev
  * Pass -DENABLE_UPDATERS=OFF to cmake to disable the own version
    checker/updater, which is generally not a good idea in a distribution build.
  * Do not ship the development headers.
  * Do not ship the testing x-test "translations".

 -- Pino Toscano <pino@debian.org>  Fri, 20 Aug 2021 23:16:09 +0200
